#include "dialogauthorizationinstructor.h"
#include "ui_dialogauthorizationinstructor.h"

DialogAuthorizationInstructor::DialogAuthorizationInstructor(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogAuthorizationInstructor)
{
    ui->setupUi(this);

    ui->editLogin->setProperty("mandatoryField", true);
    ui->editPassword->setProperty("mandatoryField", true);

    ui->editPassword->setEchoMode(QLineEdit::EchoMode::Password);
}

DialogAuthorizationInstructor::~DialogAuthorizationInstructor()
{
    delete ui;
}
